Open Lighting Architecture: ola::plugin::usbpro::GenericUsbProWidget Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
ola::plugin::usbpro::GenericUsbProWidget Class Reference
Inheritance diagram for ola::plugin::usbpro::GenericUsbProWidget:

## Public Member Functions
| GenericUsbProWidget (ola::io::ConnectedDescriptor *descriptor)
void | SetDMXCallback (ola::Callback0< void > *callback)
void | GenericStop ()
virtual bool | SendDMX (const DmxBuffer &buffer)
bool | ChangeToReceiveMode (bool change_only)
const DmxBuffer & | FetchDMX () const
void | GetParameters (usb_pro_params_callback *callback)
bool | SetParameters (uint8_t break_time, uint8_t mab_time, uint8_t rate)
Public Member Functions inherited from ola::plugin::usbpro::BaseUsbProWidget
| BaseUsbProWidget (ola::io::ConnectedDescriptor *descriptor)
ola::io::ConnectedDescriptor * | GetDescriptor () const
void | DescriptorReady ()
bool | SendMessage (uint8_t label, const uint8_t *data, unsigned int length) const
Public Member Functions inherited from ola::plugin::usbpro::SerialWidgetInterface
virtual void | Stop ()=0

## Static Public Attributes
static const uint8_t | RECEIVED_DMX_LABEL = 5
Static Public Attributes inherited from ola::plugin::usbpro::BaseUsbProWidget
static const uint8_t | DEVICE_LABEL = 78
static const uint8_t | DMX_LABEL = 6
static const uint8_t | GET_PARAMS = 3
static const uint8_t | HARDWARE_VERSION_LABEL = 14
static const uint8_t | MANUFACTURER_LABEL = 77
static const uint8_t | SERIAL_LABEL = 10

## Protected Member Functions
virtual void | HandleMessage (uint8_t label, const uint8_t *data, unsigned int length)
void | HandleDMX (const uint8_t *data, unsigned int length)

## Additional Inherited Members
Static Public Member Functions inherited from ola::plugin::usbpro::BaseUsbProWidget
static ola::io::ConnectedDescriptor * | OpenDevice (const std::string &path)

## Member Function Documentation

## ◆ FetchDMX()

const DmxBuffer & ola::plugin::usbpro::GenericUsbProWidget::FetchDMX | ( |  | ) | const

Return the latest DMX data

## ◆ GenericStop()

void ola::plugin::usbpro::GenericUsbProWidget::GenericStop | ( |  | ) |

Stop the rdm discovery process if it's running

## ◆ GetParameters()

void ola::plugin::usbpro::GenericUsbProWidget::GetParameters | ( | usb_pro_params_callback * | callback | ) |

Send a request for the widget's parameters. TODO(simon): add timers to these

## ◆ HandleMessage()

void ola::plugin::usbpro::GenericUsbProWidget::HandleMessage | ( | uint8_t | label,
|  | const uint8_t * | data,
|  | unsigned int | length )
| protectedvirtual

Implements ola::plugin::usbpro::BaseUsbProWidget.

## ◆ SendDMX()

bool ola::plugin::usbpro::GenericUsbProWidget::SendDMX | ( | const DmxBuffer & | buffer | ) |
| virtual

Reimplemented from ola::plugin::usbpro::BaseUsbProWidget.

## ◆ SetDMXCallback()

void ola::plugin::usbpro::GenericUsbProWidget::SetDMXCallback | ( | ola::Callback0< void > * | callback | ) |

Set the callback to run when new DMX data arrives

## ◆ SetParameters()

bool ola::plugin::usbpro::GenericUsbProWidget::SetParameters | ( | uint8_t | break_time,
|  | uint8_t | mab_time,
|  | uint8_t | rate )

Set the widget's parameters. Due to the lack of confirmation, this returns immediately.

The documentation for this class was generated from the following files:

- plugins/usbpro/GenericUsbProWidget.h
- plugins/usbpro/GenericUsbProWidget.cpp